#include "device.h"
#include "system.h"

void PWMInit();

int main()
{
  //System Init
  SystemInit();
  
  //PWM Init
  PWMInit();
  
  //wait
  while(1)
  {
    asm("NOP;");
    asm("NOP;");
  }
  
  return 0;
}

void PWMInit()
{  
        *pREG_PWM0_SYNC_WID = 10;
	*pREG_PORTB_FER_SET  =  BITM_PORT_FER_PX4;
	*pREG_PORTB_MUX  &= ~(BITM_PORT_MUX_MUX4);	
        *pREG_PORTD_FER_SET  = BITM_PORT_FER_PX0;
        *pREG_PORTD_MUX  &= ~(BITM_PORT_MUX_MUX0);
        
        *pREG_PWM0_DLYC = 0x00000000;
        *pREG_PWM0_CTL 	= ENUM_PWM_CTL_INTSYNC | ENUM_PWM_CTL_INTSYNC_0  |ENUM_PWM_CTL_DLYC_EN    ;            
        *pREG_PWM0_CHANCFG = ENUM_PWM_CHANCFG_REFTMRC_1 | ENUM_PWM_CHANCFG_LOC_INVHI  | ENUM_PWM_CHANCFG_CH_ACTHI | ENUM_PWM_CHANCFG_CL_ACTLO   ;                                         
        *pREG_PWM0_TM0	= 0x00000064;
	*pREG_PWM0_TM3  = 0x00000064;
        *pREG_PWM0_CH0 	= 0x0000FFE2;	
        *pREG_PWM0_CH1 	= 0;	
        *pREG_PWM0_CL0 	= 0;	
        *pREG_PWM0_CL1 	= 0;    
        
        *pREG_PWM0_CTL |= BITM_PWM_CTL_GLOBEN ; 
}